﻿@{
    ViewData["Title"] = "Detalles Page";
    var server = @ViewData["data"];
    var sitios = @ViewData["iis"];
    var servicio = @ViewData["servicio"];

}
<div class="text-center">
    <h1 class="display-4"> Modulos</h1>
    <h3>Servidor @ViewData["data"]</h3>
</div>




    <form name="select" method="GET">

        <table class="table table-bordered">

            <tbody>

                <tr>
                    <td>
                        @if (@ViewData["iis"] == "")
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Sitios" asp-controller="Windows" asp-action="Sitios" asp-route-id=@ViewData["data"] disabled>
                            <h5>No se encontro configuracion IIS</h5>
                        }
                        else
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Sitios" asp-controller="Windows" asp-action="Sitios" asp-route-id=@ViewData["data"]>
                            <h5>Revisar sitios configurados en IIS</h5>
                        }

                    </td>
                </tr>
                <tr>
                    <td>
                        @if (@ViewData["servicio"] == "")
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Servicios" asp-controller="Windows" asp-action="Servicios" asp-route-id=@ViewData["data"] disabled>
                            <h5>No encontraron servicios</h5>
                        }
                        else
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Servicios" asp-controller="Windows" asp-action="Servicios" asp-route-id=@ViewData["data"]>
                            <h5>Revisar estado de servicios disponibles</h5>
                        }

                    </td>
                </tr>

                <tr>
                    <td>
                        @if (@ViewData["cpu"] == "")
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Cpu" asp-controller="Servicio" asp-action="Cpu" asp-route-id=@ViewData["data"] disabled>
                            <h5>No se encotraron procesos de cpu</h5>
                        }
                        else
                        {
                            <input type="submit" class="btn btn-outline-primary" value="Cpu" asp-controller="Servicio" asp-action="Cpu" asp-route-id=@ViewData["data"]>
                            <h5>Revisar procesos del cpu</h5>
                        }

                    </td>
                </tr>


            </tbody>
        </table>

    </form>
